package cd.casic.ci.common.pipeline;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline
 * @Project：ops-pro
 * @name：ExprReplacementOptions
 * @Date：2025/03/25 17:39
 * @Filename：ExprReplacementOptions
 * @description：Todo
 */
@Data
@Schema(title = "表达式替换参数")
public class ExprReplacementOptions {

    @Schema(title = "环境变量", required = true)
    private Map<String, String> contextMap;

    @Schema(title = "值是否能不存在", required = true)
    private boolean contextNotNull;

    @Schema(title = "表达式上下文", required = true)
    private Pair<ExecutionContext, List<NamedValueInfo>> contextPair;

    private Iterable<IFunctionInfo> functions;

    private ExpressionOutput output;
}
