package cd.casic.ci.process.api.process.pojo.trigger;

import cd.casic.ci.log.scm.enums.ScmType;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.trigger
 * @Project：ops-pro
 * @name：PipelineTriggerType
 * @Date：2025/03/24 17:27
 * @Filename：PipelineTriggerType
 * @description：Todo
 */
public enum PipelineTriggerType {
    @Schema(title = "SVN 代码库")
    CODE_SVN,
    @Schema(title = "GIT 代码库")
    CODE_GIT,
    @Schema(title = "Gitlab 代码库")
    CODE_GITLAB,
    @Schema(title = "Github 代码库")
    GITHUB,
    @Schema(title = "TGIT 代码库")
    CODE_TGIT,
    @Schema(title = "P4 代码库")
    CODE_P4,
    @Schema(title = "手动触发")
    MANUAL,
    @Schema(title = "定时触发")
    TIME_TRIGGER,
    @Schema(title = "服务触发")
    OPENAPI,
    @Schema(title = "流水线触发")
    PIPELINE,
    @Schema(title = "远程触发")
    REMOTE;

    public static List<IdValue> toMap(ScmType scmType, String userId) {
        // 实现逻辑
        return null;
    }

    public static ScmType toScmType(String triggerType) {
        // 实现逻辑
        return null;
    }

    public static boolean webhookTrigger(String triggerType) {
        // 实现逻辑
        return false;
    }
}
