package cd.casic.ci.common.pipeline.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：BuildParameters
 * @Date：2025/03/25 16:05
 * @Filename：BuildParameters
 * @description：Todo
 */
@Data
@Schema(title = "构建模型-构建参数")
public class BuildParameters {
    @Schema(title = "元素值ID-标识符", required = true)
    private String key;
    @Schema(title = "元素值名称-显示用", required = true)
    private Object value;
    @Schema(title = "元素值类型", required = false)
    private BuildFormPropertyType valueType;
    @Schema(title = "是否只读", required = false)
    private boolean readOnly;
    @Schema(title = "描述", required = false)
    private String desc;
    @Schema(title = "默认值", required = false)
    private Object defaultValue;
}
